<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Name: CDA Hospital Course Section 
Description: 
                 The
hospital course section shall contain a narrative description of the sequence
of events from admission to discharge in a hospital facility 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010">
   <title>CDA Hospital Course Section </title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]
Item: (CDAHospitalCourseSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']
Item: (CDAHospitalCourseSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']"
         id="tmp-r-0267fe17-07a8-4038-abac-33cfb6893963">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(CDAHospitalCourseSection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAHospitalCourseSection): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/@nullFlavor)">(CDAHospitalCourseSection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'])&lt;=1">(CDAHospitalCourseSection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="count(hl7:id)&lt;=1">(CDAHospitalCourseSection): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="count(hl7:code)&lt;=1">(CDAHospitalCourseSection): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="count(hl7:title)&lt;=1">(CDAHospitalCourseSection): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="count(hl7:text)&lt;=1">(CDAHospitalCourseSection): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="count(hl7:confidentialityCode)&lt;=1">(CDAHospitalCourseSection): element hl7:confidentialityCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="count(hl7:languageCode)&lt;=1">(CDAHospitalCourseSection): element hl7:languageCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="count(hl7:subject)&lt;=1">(CDAHospitalCourseSection): element hl7:subject appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']
Item: (CDAHospitalCourseSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']"
         id="tmp-r-98d42cce-1e8f-400f-83fb-aef3efd28123">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHospitalCourseSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.3.5')">(CDAHospitalCourseSection): The value for @root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:id
Item: (CDAHospitalCourseSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:id"
         id="tmp-r-caecb1d5-a774-4f67-9c11-c8eb3703bf8a">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHospitalCourseSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:code
Item: (CDAHospitalCourseSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:code"
         id="tmp-r-9371823c-b8f5-4c06-9b5d-7a12e89fd5d9">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHospitalCourseSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="@nullFlavor or (@code='8648-8' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(CDAHospitalCourseSection): The element value SHALL be one of 'code '8648-8' codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:title
Item: (CDAHospitalCourseSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:title"
         id="tmp-r-31a5674b-5473-483a-8ab6-de806d3f05f9">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHospitalCourseSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:text
Item: (CDAHospitalCourseSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:text"
         id="tmp-r-98ee4167-4170-4206-a9af-d32598885323">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHospitalCourseSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:confidentialityCode
Item: (CDAHospitalCourseSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:confidentialityCode"
         id="tmp-r-02fbbb30-aa6e-481f-8ca1-7bf76c010cf6">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHospitalCourseSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:languageCode
Item: (CDAHospitalCourseSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:languageCode"
         id="tmp-r-4b118606-2a60-48a8-9271-694a76cb325b">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHospitalCourseSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:subject
Item: (CDAHospitalCourseSection)
-->

   <!--
Template derived rules for ID: sasips-d109e2151
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:subject
Item: (CDAHospitalCourseSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:author
Item: (CDAHospitalCourseSection)
-->

   <!--
Template derived rules for ID: sasips-d109e2153
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:author
Item: (CDAHospitalCourseSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:informant
Item: (CDAHospitalCourseSection)
-->

   <!--
Template derived rules for ID: sasips-d109e2156
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:informant
Item: (CDAHospitalCourseSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:entry
Item: (CDAHospitalCourseSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:entry">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="@typeCode">(CDAHospitalCourseSection): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAHospitalCourseSection): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAHospitalCourseSection): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
   </rule>

   <!--
Template derived rules for ID: sasips-d109e2158
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:entry
Item: (CDAHospitalCourseSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900212
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:component
Item: (CDAHospitalCourseSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:component">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(CDAHospitalCourseSection): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAHospitalCourseSection): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
   </rule>

   <!--
Template derived rules for ID: sasips-d109e2168
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900212']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']/hl7:component
Item: (CDAHospitalCourseSection)
--></pattern>
