<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Name: CDA Family Medical History Section
Description: 
                 The
family history section shall contain a narrative description of the genetic
family members, to the extent that they are known, the diseases they suffered
from, their ages at death, and other relevant genetic information 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233">
   <title>CDA Family Medical History Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]
Item: (CDAFamilyMedicalHistorySection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']
Item: (CDAFamilyMedicalHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']"
         id="tmp-r-b11b9998-4511-4ba0-b0fd-30320176abe4">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(CDAFamilyMedicalHistorySection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAFamilyMedicalHistorySection): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.14'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/@nullFlavor)">(CDAFamilyMedicalHistorySection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.14'])&lt;=1">(CDAFamilyMedicalHistorySection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.14'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="count(hl7:id)&lt;=1">(CDAFamilyMedicalHistorySection): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="count(hl7:code)&lt;=1">(CDAFamilyMedicalHistorySection): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="count(hl7:title)&lt;=1">(CDAFamilyMedicalHistorySection): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="count(hl7:text)&lt;=1">(CDAFamilyMedicalHistorySection): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="count(hl7:confidentialityCode)&lt;=1">(CDAFamilyMedicalHistorySection): element hl7:confidentialityCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="count(hl7:languageCode)&lt;=1">(CDAFamilyMedicalHistorySection): element hl7:languageCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="count(hl7:subject)&lt;=1">(CDAFamilyMedicalHistorySection): element hl7:subject appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']
Item: (CDAFamilyMedicalHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']"
         id="tmp-r-7c62d639-bb26-4b24-838d-dbec1e8d5612">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAFamilyMedicalHistorySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.3.14')">(CDAFamilyMedicalHistorySection): The value for @root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.14'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:id
Item: (CDAFamilyMedicalHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:id"
         id="tmp-r-fb42bfa8-3cae-4792-995e-17b6436031ce">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAFamilyMedicalHistorySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:code
Item: (CDAFamilyMedicalHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:code"
         id="tmp-r-aecc71d8-e965-4ce5-8371-e142ffbbe98f">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAFamilyMedicalHistorySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="@nullFlavor or (@code='10157-6' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(CDAFamilyMedicalHistorySection): The element value SHALL be one of 'code '10157-6' codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:title
Item: (CDAFamilyMedicalHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:title"
         id="tmp-r-a6e5c4fb-4ec4-447b-b324-3064777020d5">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAFamilyMedicalHistorySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:text
Item: (CDAFamilyMedicalHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:text"
         id="tmp-r-4f4a3591-c6b1-4841-806c-4ecc0ceb6dd8">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAFamilyMedicalHistorySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:confidentialityCode
Item: (CDAFamilyMedicalHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:confidentialityCode"
         id="tmp-r-ad277cb2-95e8-4dfd-aa6a-d7407c79562f">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAFamilyMedicalHistorySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:languageCode
Item: (CDAFamilyMedicalHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:languageCode"
         id="tmp-r-c6adc3ab-5eee-440d-a146-90be280bee88">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAFamilyMedicalHistorySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:subject
Item: (CDAFamilyMedicalHistorySection)
-->

   <!--
Template derived rules for ID: sasips-d109e2674
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:subject
Item: (CDAFamilyMedicalHistorySection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:author
Item: (CDAFamilyMedicalHistorySection)
-->

   <!--
Template derived rules for ID: sasips-d109e2676
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:author
Item: (CDAFamilyMedicalHistorySection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:informant
Item: (CDAFamilyMedicalHistorySection)
-->

   <!--
Template derived rules for ID: sasips-d109e2679
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:informant
Item: (CDAFamilyMedicalHistorySection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:entry
Item: (CDAFamilyMedicalHistorySection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:entry">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="@typeCode">(CDAFamilyMedicalHistorySection): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAFamilyMedicalHistorySection): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAFamilyMedicalHistorySection): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
   </rule>

   <!--
Template derived rules for ID: sasips-d109e2681
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:entry
Item: (CDAFamilyMedicalHistorySection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900217
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:component
Item: (CDAFamilyMedicalHistorySection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:component">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(CDAFamilyMedicalHistorySection): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAFamilyMedicalHistorySection): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
   </rule>

   <!--
Template derived rules for ID: sasips-d109e2691
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900217']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.14']/hl7:component
Item: (CDAFamilyMedicalHistorySection)
--></pattern>
