<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.12.306
Name: CDA Procedure
Description: Template CDA Procedure (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.12.306-2005-09-07T000000">
   <title>CDA Procedure</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']"
         id="tmp-r-9862dfc9-a826-42fe-95ab-dd2244de3083">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="string(@classCode)=('PROC')">(CDAProcedure): The value for @classCode SHALL be 'PROC'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="@moodCode">(CDAProcedure): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CDAProcedure): Attribute @moodCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19460-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(CDAProcedure): The value for moodCode SHALL be selected from value set 'x_DocumentProcedureMood' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(CDAProcedure): Attribute @negationInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.306'])&gt;=1 ">(CDAProcedure): element hl7:templateId[@root='2.16.840.1.113883.10.12.306'] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.306'])&lt;=1">(CDAProcedure): element hl7:templateId[@root='2.16.840.1.113883.10.12.306'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAProcedure): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAProcedure): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAProcedure): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAProcedure): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(CDAProcedure): element hl7:priorityCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="count(hl7:languageCode)&lt;=1">(CDAProcedure): element hl7:languageCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="count(hl7:subject)&lt;=1">(CDAProcedure): element hl7:subject appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:templateId[@root='2.16.840.1.113883.10.12.306']
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:templateId[@root='2.16.840.1.113883.10.12.306']"
         id="tmp-r-d92397f2-99c7-40a0-a7c6-56ff752c663a">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.12.306')">(CDAProcedure): The value for @root SHALL be '2.16.840.1.113883.10.12.306'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:id
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:id"
         id="tmp-r-a14b9fbe-893f-4033-b936-8e28507c1a92">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:code
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:code"
         id="tmp-r-c8566888-ca6c-4c8b-b64b-4e0ea23b5138">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAProcedure): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:text
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:text"
         id="tmp-r-1f3c0e97-ed50-427c-84f5-58a4f9d401e6">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:statusCode
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:statusCode"
         id="tmp-r-9a6186a8-2f1a-4930-a9cd-a9746006f32f">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAProcedure): The element value SHALL be one of 'ActStatus (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAProcedure): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:effectiveTime
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:effectiveTime"
         id="tmp-r-a3e502bb-7d40-460b-a363-1b09b28e2236">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:priorityCode
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:priorityCode"
         id="tmp-r-f45472f7-28c0-4b31-8b3c-0cf48c83bdf9">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAProcedure): The element value SHALL be one of 'ActPriority (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAProcedure): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActPriority (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:languageCode
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:languageCode"
         id="tmp-r-1b726098-d74d-45de-ac50-987c6732aa7d">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:methodCode
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:methodCode"
         id="tmp-r-c3108cb1-129a-435f-b0ed-256535a6b721">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1065')">(CDAProcedure): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.1065''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:approachSiteCode
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:approachSiteCode"
         id="tmp-r-f48342e5-416f-42be-8608-222147790e4c">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(CDAProcedure): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.1052''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:targetSiteCode
Item: (CDAProcedure)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:targetSiteCode"
         id="tmp-r-56e6f87f-2ba9-4c92-b6f3-6785e3b4cf78">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(CDAProcedure): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.1052''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:subject
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: sasips-d109e225
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:subject
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:specimen
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: sasips-d109e227
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:specimen
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:performer
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: sasips-d109e229
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:performer
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:author
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: sasips-d109e232
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:author
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:informant
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: sasips-d109e234
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:informant
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@typeCode">(CDAParticipantBody): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAParticipantBody): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAParticipantBody): The value for typeCode SHALL be selected from value set 'ParticipationType' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAParticipantBody): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAParticipantBody): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:awarenessCode)&lt;=1">(CDAParticipantBody): element hl7:awarenessCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole)&gt;=1 ">(CDAParticipantBody): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole)&lt;=1">(CDAParticipantBody): element hl7:participantRole appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:time
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:time">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:awarenessCode
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:awarenessCode">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBody): The element value SHALL be one of 'TargetAwareness (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantBody): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set TargetAwareness (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode)=('ROL') or not(@classCode)">(CDAParticipantBody): The value for @classCode SHALL be 'ROL'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantBody): element hl7:code appears to often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:playingDevice|hl7:playingEntity)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAParticipantBody): choice (hl7:playingDevice or hl7:playingEntity) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(CDAParticipantBody): element hl7:scopingEntity appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:id
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:id">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:code
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:code">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAParticipantBody): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:addr
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:addr">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:telecom">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: sasips-d2862e40
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: sasips-d2862e42
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:scopingEntity
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode)=('ENT') or not(@classCode)">(CDAParticipantBody): The value for @classCode SHALL be 'ENT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAParticipantBody): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantBody): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:desc)&lt;=1">(CDAParticipantBody): element hl7:desc appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:id">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBody): The element value SHALL be one of 'EntityCode (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantBody): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set EntityCode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:desc">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:entryRelationship
Item: (CDAProcedure)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:entryRelationship">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="@typeCode">(CDAProcedure): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAProcedure): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAProcedure): The value for typeCode SHALL be selected from value set 'x_ActRelationshipEntryRelationship' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAProcedure): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(CDAProcedure): Attribute @inversionInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(CDAProcedure): Attribute @negationInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="count(hl7:sequenceNumber)&lt;=1">(CDAProcedure): element hl7:sequenceNumber appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAProcedure): element hl7:seperatableInd appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:entryRelationship/hl7:sequenceNumber
Item: (CDAProcedure)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:entryRelationship/hl7:sequenceNumber">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="digitok" value="matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="$digitok or @nullFlavor">(CDAProcedure): @value is not a valid INT number <value-of select="@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:entryRelationship/hl7:seperatableInd
Item: (CDAProcedure)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:entryRelationship/hl7:seperatableInd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.306-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>

   <!--
Template derived rules for ID: sasips-d109e238
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:entryRelationship
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:reference
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.324
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:reference
Item: (CDAReference)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:reference">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="@typeCode">(CDAReference): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAReference): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAReference): element hl7:seperatableInd appears to often [max 1x].</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAReference): choice () does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAReference): choice () contains too many elements [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.324
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:reference/hl7:seperatableInd
Item: (CDAReference)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:reference/hl7:seperatableInd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.306
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:precondition
Item: (CDAProcedure)
-->

   <!--
Template derived rules for ID: sasips-d109e259
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.10.12.306']/hl7:precondition
Item: (CDAProcedure)
--></pattern>
