<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Name: Minimal CDA document
Description: A minimal CDA Release 2 document, that contains only a few attributes and relationships for the ClinicalDocument class:  
                     typeId: fixed 
                     id: unique id of the document instance 
                     code: type of document 
                     effectiveTime: creation date of the document 
                     confidentialityCode: confidentiality level indication for this document 
                     recordTarget: the record target (e.g. patient) 
                     author: author of this document 
                     custodian: custodian for this document 
                     component: contains (in this case) structured body 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000">
   <title>Minimal CDA document</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /
Item: (MinimalCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']"
         id="tmp-r-087fa63e-a309-436a-a4d8-78d1f3a360fb">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(MinimalCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(MinimalCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/@nullFlavor)">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'])&lt;=1">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(MinimalCDAdocument): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(MinimalCDAdocument): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(MinimalCDAdocument): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(MinimalCDAdocument): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:title)&lt;=1">(MinimalCDAdocument): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(MinimalCDAdocument): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(MinimalCDAdocument): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(MinimalCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(MinimalCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(MinimalCDAdocument): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(MinimalCDAdocument): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:custodian)&lt;=1">(MinimalCDAdocument): element hl7:custodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-21ceca3b-867e-4144-a3e3-8d2bd82e17f9">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900001-2013-02-10T000000.html"
              test="string(@extension)=('POCD_HD000040')">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900001-2013-02-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.1.3')">(CDAtypeId): The value for @root SHALL be '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1']
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1']"
         id="tmp-r-c484aac0-d0a8-4d49-9087-c802b3e6bd6f">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MinimalCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.3.1937.99.61.13.10.1')">(MinimalCDAdocument): The value for @root SHALL be '2.16.840.1.113883.3.1937.99.61.13.10.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:id
Item: (CDAid)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:id"
         id="tmp-r-8250031c-f091-4260-92c4-b1372e32f8df">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-09aedd5f-a0d6-4de8-8c46-373cbdb1d584">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MinimalCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="@nullFlavor or (@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')">(MinimalCDAdocument): The element value SHALL be one of 'code '11524-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:title"
         id="tmp-r-3a2520b0-8703-4d45-9182-914261e5a46d">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900003-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900004
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:effectiveTime"
         id="tmp-r-ca8d7831-c7b5-40fe-a560-03b670a8a754">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900005
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDAconfidentialityCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-8755a9fb-f735-47a1-874c-7e8f93b0f154">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900005-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900005-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): The element value SHALL be one of 'BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900005-2013-02-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAconfidentialityCode): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget"
         id="tmp-r-29ac8219-4b95-4276-b7e0-6677a5c959e4">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@typeCode)=('RCT') or not(@typeCode)">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-c0a48945-6922-4664-9101-cabb8e15defb">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patient)&gt;=1 ">(CDArecordTarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (NationalPatientIdentifier)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-47d5d3b3-9bb3-4580-add9-bfec4b7e1ce6">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.110-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NationalPatientIdentifier): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.110-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(NationalPatientIdentifier): The value for @root SHALL be '2.16.840.1.113883.2.4.6.3'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.110-2013-01-31T000000.html"
              test="@extension">(NationalPatientIdentifier): attribute @extension SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-36df981a-0ddf-4777-99af-17a74c67c4f8">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-7af1ae90-2387-4946-ab24-f093aed1f7c4">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-60311dff-6f60-4aae-9f96-ae334db78339">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be one of 'AdministrativeGender AdministrativeGender (HL7) (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender AdministrativeGender (HL7) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-90fec61c-2483-45a2-9ad0-5c3a0181a474">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author"
         id="tmp-r-7c9d251e-5a95-4b8f-821d-bf92cf3954db">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:time"
         id="tmp-r-939dc5c7-62b6-4bcb-8190-b36a6b357f3a">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor"
         id="tmp-r-9e69af90-2838-4906-9fe2-61bdf5da7cc9">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAauthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(CDAauthor): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-afe7f60c-871a-49c7-ac1f-6fd99683bff7">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-2e5fe6c7-e104-4761-b583-e64b77615a33">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-b7a41400-b6a8-42d7-92c8-faf7d6d6eb27">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900200-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-0f432a73-4d1a-41bf-9b66-bef44c91c9fd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAauthor): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-32baa8ef-ecfe-41e0-9f61-cf372ef40cec">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-302f8899-a395-481b-80e3-fba5d952748d">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-4449e583-b875-4780-a941-5b947169d55c">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-a796ee73-ca39-4466-af8d-07ead26d1e4c">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian"
         id="tmp-r-763d14a8-b366-4366-a8b5-1d4f12de7ad8">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@typeCode)=('CST') or not(@typeCode)">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-5a12474a-7fdf-4a76-b16f-07bfd4e387a9">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-cc1418d7-9473-4aa6-8fac-3d2bfba3affa">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAcustodian): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAcustodian): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-r-c1cb0c01-8373-47b6-a5c6-1df2890d5761">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-r-67b82d13-579e-4b22-84e9-09c7f0f17e7a">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="tmp-r-3ef202f3-2c96-42d9-802a-1cf28e0b970c">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-r-44cf7360-ea10-403f-98a7-97c456b70db4">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component"
         id="tmp-r-bf94b833-96f3-47d4-9627-8cb945717894">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody"
         id="tmp-r-669dc3a4-eac8-4ea9-b2b3-137445ae8cdd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@classCode)=('DOCBODY') or not(@classCode)">(MinimalCDAdocument): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(MinimalCDAdocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']]/@nullFlavor)">(MinimalCDAdocument): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']])&lt;=1">(MinimalCDAdocument): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']]
Item: (MinimalCDAdocument)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']]">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
