<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Name: CDA Coded Event Outcomes Section
Description: The Coded Event Outcome Section shall include a narrative description of
the outcomes following a procedure, an intervention or a problem, and
outcomes related to the labor and delivery process such as live birth or
stillborn. It shall include entries for observation as described in the Simple
Observation entry, or optionally as Problem Entry observations
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550">
   <title>CDA Coded Event Outcomes Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]
Item: (CDACodedEventOutcomesSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']
Item: (CDACodedEventOutcomesSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']"
         id="tmp-r-45b3414f-061b-4b33-b699-6420b9a4fe12">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(CDACodedEventOutcomesSection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDACodedEventOutcomesSection): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/@nullFlavor)">(CDACodedEventOutcomesSection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7'])&lt;=1">(CDACodedEventOutcomesSection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="count(hl7:id)&lt;=1">(CDACodedEventOutcomesSection): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="count(hl7:code)&lt;=1">(CDACodedEventOutcomesSection): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="count(hl7:title)&lt;=1">(CDACodedEventOutcomesSection): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="count(hl7:text)&lt;=1">(CDACodedEventOutcomesSection): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="count(hl7:confidentialityCode)&lt;=1">(CDACodedEventOutcomesSection): element hl7:confidentialityCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="count(hl7:languageCode)&lt;=1">(CDACodedEventOutcomesSection): element hl7:languageCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="count(hl7:subject)&lt;=1">(CDACodedEventOutcomesSection): element hl7:subject appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']
Item: (CDACodedEventOutcomesSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']"
         id="tmp-r-7407390d-0b15-4fc7-a81a-52f8c60a7b5a">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDACodedEventOutcomesSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.7.3.1.1.13.7')">(CDACodedEventOutcomesSection): The value for @root SHALL be '1.3.6.1.4.1.19376.1.7.3.1.1.13.7'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:id
Item: (CDACodedEventOutcomesSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:id"
         id="tmp-r-ef3f26ed-de66-4b5e-b00f-e4a935306764">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDACodedEventOutcomesSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:code
Item: (CDACodedEventOutcomesSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:code"
         id="tmp-r-0c143a24-c020-4df2-8f7f-44fc4d96e228">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDACodedEventOutcomesSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="@nullFlavor or (@code='42545-4' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(CDACodedEventOutcomesSection): The element value SHALL be one of 'code '42545-4' codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:title
Item: (CDACodedEventOutcomesSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:title"
         id="tmp-r-2cc49d53-fb5c-466d-a734-19906551ae9a">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDACodedEventOutcomesSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:text
Item: (CDACodedEventOutcomesSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:text"
         id="tmp-r-b639ba4a-2d8f-46c8-bd38-83686f4d0c6d">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDACodedEventOutcomesSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:confidentialityCode
Item: (CDACodedEventOutcomesSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:confidentialityCode"
         id="tmp-r-5a2c1a3f-d78e-4d90-abd4-f31f692b2db4">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDACodedEventOutcomesSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:languageCode
Item: (CDACodedEventOutcomesSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:languageCode"
         id="tmp-r-926a1913-acc8-4d24-9a99-36c817dd911d">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDACodedEventOutcomesSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:subject
Item: (CDACodedEventOutcomesSection)
-->

   <!--
Template derived rules for ID: sasips-d109e3341
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:subject
Item: (CDACodedEventOutcomesSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:author
Item: (CDACodedEventOutcomesSection)
-->

   <!--
Template derived rules for ID: sasips-d109e3343
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:author
Item: (CDACodedEventOutcomesSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:informant
Item: (CDACodedEventOutcomesSection)
-->

   <!--
Template derived rules for ID: sasips-d109e3346
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:informant
Item: (CDACodedEventOutcomesSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]
Item: (CDACodedEventOutcomesSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900223
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:component
Item: (CDACodedEventOutcomesSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:component">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(CDACodedEventOutcomesSection): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150713T125103/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDACodedEventOutcomesSection): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
   </rule>

   <!--
Template derived rules for ID: sasips-d109e3350
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900223']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.7.3.1.1.13.7']/hl7:component
Item: (CDACodedEventOutcomesSection)
--></pattern>
